Last modified: 2011-10-24 10:52:21 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27467 - preload can leave UNIQ
preload can leave UNIQ
Status: VERIFIED FIXED
Product: MediaWiki
Classification: Unclassified
Page editing (Other open bugs)
1.17.x
All All
: Normal major (vote)
: ---
Assigned To: Nobody - You can work on this!
http://test.wikipedia.org/w/index.php...
: patch, patch-need-review
: 27519 27623 (view as bug list)
Depends on:
Blocks: UNIQ 26676 27339
  Show dependency treegraph
 
Reported: 2011-02-16 19:48 UTC by Umherirrender
Modified: 2011-10-24 10:52 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch: add unstripBoth to Parser::getPreloadText() (567 bytes, patch)
2011-02-17 22:24 UTC, P.Copp
Details

Description Umherirrender 2011-02-16 19:48:12 UTC
Preloading a text with pre gives UNIQ inside the preloaded text (see url).

Thanks.

related bug 5210
Comment 1 P.Copp 2011-02-17 22:24:36 UTC
Created attachment 8159 [details]
Patch: add unstripBoth to Parser::getPreloadText()

Simple fix attached
Comment 2 Howard Cheng 2011-02-17 22:49:17 UTC
See also bug 27511.
Comment 3 Mark A. Hershberger 2011-02-19 19:19:53 UTC
(In reply to comment #1)
> Created attachment 8159 [details]
> Patch: add unstripBoth to Parser::getPreloadText()
> 
> Simple fix attached

Applied in r82473
Comment 4 Mark A. Hershberger 2011-02-19 19:21:12 UTC
oh, marking resolved, but would like Umherirrender to confirm.
Comment 5 Umherirrender 2011-02-19 20:34:00 UTC
(In reply to comment #4)
> oh, marking resolved, but would like Umherirrender to confirm.

Looks good.
Comment 6 DieBuche 2011-02-20 13:29:12 UTC
*** Bug 27519 has been marked as a duplicate of this bug. ***
Comment 7 db [inactive,noenotif] 2011-02-22 06:58:39 UTC
*** Bug 27623 has been marked as a duplicate of this bug. ***
Comment 8 folengo 2011-02-23 21:39:10 UTC
Looks good for Bug 27519 too.
Comment 9 Krinkle 2011-02-24 09:12:18 UTC
The example [1] linked in bug 27623 works now as well.
Fully resolved, great.

[1] http://en.wikipedia.org/?title=User:Krinkle/Template:Top_icon2/testcases&action=edit&preload=Template:Documentation/preload-testcases
Comment 10 Krinkle 2011-06-05 10:41:46 UTC
Moving blockers from bugs that were duped to this.
Comment 11 Antoine "hashar" Musso (WMF) 2011-10-24 10:52:21 UTC
Tests added with r100599

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links